Firebase.auth()がエラーになるとき Next.js

こいつめ・・・

こういう風になるときは、Firebaseのバージョンの違いです。上段のバージョンをインストールしたのでしょう。

なので、バージョンを下げるか、新しいバージョンの書き方をすれば治ります。

こんな感じ。

import firebase from 'firebase/compat/app';
import 'firebase/compat/auth';
import 'firebase/compat/firestore';
藤沢瞭介(Ryosuke Hujisawa)
  • りょすけと申します。18歳からプログラミングをはじめ、今はフロントエンドでReactを書いたり、AIの勉強を頑張っています。off.tokyoでは、ハイテクやガジェット、それからプログラミングに関する情報まで、エンジニアに役立つ情報を日々発信しています!

firebaseNext.js

コメントする

メールアドレスが公開されることはありません。